Page MenuHomePhabricator

Plans: Path of Exile 3.2.0 (Bestiary League)
Closed, ResolvedPublic

Description

See PHI415. In particular:

  • hcssfbtw
  • T H I C C J U G G ofc
    • New Juggernaut now spicier?
    • Patheic damage will help with reducing beasts to low health for capture.
  • Die to lightning breach at 71 immediately after killing Kitava A10.
  • Reroll an Arc hierophant and spend the rest of the league trying to kill one map boss.

DaysHoursMinutesSeconds
----
Mar 2 2018, 8:00 PM

Event Timeline

epriestley triaged this task as Normal priority.Mar 2 2018, 5:00 PM
epriestley created this task.
epriestley renamed this task from Plans: Path of Exile 3.2.0 ( to Plans: Path of Exile 3.2.0 (Bestiary League).Mar 2 2018, 5:01 PM
ftdysa awarded a token.Mar 2 2018, 7:47 PM

I had a lot of stuff come up this weekend, but made it through Kitava A5 with a Tectonic Slam Facebreakers Juggernaut (???) and an Arc Totem Hierophant, both around 51. Unsure how I currently feel about either character. I think I can turn the Juggernaut into Molten Strike if I find a decent weapon. Damage is okay so far on the Hierophant but my Haku is still at level 1 so fixing his resists has been tough.

I lost the Tectonic Slam Facebreakers Juggernaut at to Arakaali's lasers (pew pew lasers, not graph paper lasers) at level 60. My Haku was still at level 1 and I was having a hard time with resists, and I think my lightning resist was at like 48% since A6 and I just sort of forgot about it.

The character didn't feel great -- Tectonic Slam just felt like a clunky Sunder that eats all your endurance charges -- and I was having a tough time gearing against Facebreakers as SSF. There's a new "Citrine Amulet with Added Physical Damage" beastcrafting recipe but I didn't manage to get anything good after rolling it a few times.

The Arc Hierophant made it to maps and is currently alive at 80. I'm up to Tier 5 maps but still missing a lot of Tier 3+ completions. Single target isn't awesome and he feels a little squishy but this character is generally less of a mess.

The Arc Hierophant is still alive, but he managed to get a Scaeva to drop shortly after the last update. I brought a Reave Juggernaut to 82 with it, although I've only made 1-2 tiers of progress in maps.

I very nearly died from some kind of huge hit from the Iceberg boss (???!) but this is by far the least-bad character I've built in any league.

People here play path of exile? noice. I think I got to like, level 30 in beastiary, then started playing in standard again.

Now I'm tempted to play in league just because my dumbass scammed myself (read: basically gave away) one of my most expensive items in standard :) Woop.

How's the league after changes to spirit beasts and capturing red beasts? I was playing it and it wasn't /bad/, I just hate leveling and didn't see anything worth my interest.

Except /some/ of the new uniques.

Also, I'm just bad at the game. I don't know how to make a non-squishy ranger without kaoms, and all of my t h i c c juggz never die but do no damage.

I only play True Ethical SSF Hardcore so I have of never seen a Kaom's or worn a piece of gear with more than 4 links on it, and I'm definitely not very good at the game, but one thing that's been going better for me this league is that I've been doing builds with critical strike.

I sort of assumed that critical was elite-upper-end-only and needed tons of gear which I could never find in True Ethical SSF, but it doesn't seem to. If you get about 25% critical chance (doable with just nodes-on-tree, ice golem, maybe Increased Critical Strikes Support) and pop a Diamond flask you're criting almost half the time. You also don't instantly die to random reflect stuff anymore since they nerfed it, as long as you don't roll the reflect mods on maps.

(Of course, I say this at 85 while still working through Tier 5 maps, which may or may not be "no damage" depending on how ethical your playstyle is.)

Bestiary league has some good parts for me (Einhar calling things "stupid beast", and the 3.2.0 Hierophant and Juggernaut reworks both seem good) but it's mostly just kind of confusing from a design perspective? I started a longer writeup that maybe I'll post eventually. I've never made it past early yellow maps on any character so I still feel like I'm exploring new stuff, it's just mostly War for the Atlas content that I'm having better luck with now thanks to the ascendancy reworks, maybe getting a bit better at the game, and probably some luck.

Nice nice. I've had a few kaoms and some other opop 1000% unethical gear because I've never made it past act 1 in TRUE ETHICAL SSF.

Also, 4 link primary skills give me internet cancer. I kind of agree in general with the crit thing, although I'm wondering what your builds are. I usually only do crit on like, bow skills, and use RT on most melee builds I do. I tried a crit cyclone build, but had like 83% chance to hit and didn't have as good of accuracy then.

This is my super unethical build with a chin sol and 11 abyss jewels.

I bought a legacy ROTC for like 130 ex that I was using, but I honestly hate having my weapon swap primary on a different hotkey (because my chin sol primary (barrage) is on my chest) that I stopped using the ROTC. Now I just have my trash clear on my ROTC, and it's not on my right-click, but I'm dealing with it.

I recently respecced this entire guy and spent like 80 regrets (20 for bandit favor, 20 (40?) for ascendancy, and like half my tree. I had a bunch more ele damage / ele pen nodes, way less jewel sockets, and I was using a 1% off perfect legacy windripper so I was constantly capped crit and insta-leeching with legacy acuitys.

Now I have about 60% crit chance, am not using a diamond flask, and am relying on normal leech.

Trying to sell my headhunters, ROTC, and acuitys so that I can maybe try rolling a tankier build.

I really want a tanky build (read: 6k + life and capped/almost capped phys reduction, or block / life on heal) build that can actually kill bosses. I don't care if it's fast or not, but I've had amazing survivability with life-on-block maxblock chars and no block but high armor characters. Unfortunately, both had so little damage that although I cleared trash okay, a couple of bosses were literally unkillable because of their regen..

Possibly worth noting that my current character (read: chin sol person thing) does exceptional damage against bosses (first time relying on barrage outside of atziri split phase) but.. ugh... the whole hotkey thing is honestly offputting.

Is it unethical if I buy some like, razer orbweaver or something and just like, have all my skills on the 8-way key.

Sorry for jumping back and forth so much. Path of Exile is like, 1 of 3 games I currently play, and I'm alwaysssss up for talking about it, but I'm bad at gathering my thoughts.

wow every piece of gear you have is better than all the gear I own put together

I feel so unethical just looking at your profile.

Here's my True Ethical HC SSF Bestiary Reave Juggernaut:

http://poe-profile.info/profile/options/ATowerOfRhyme

Wow I feel unethical looking at your profile now.

How the hell are you playing a hardcore temp league with nothing more than a 4 link. and 5k life.

I rip with 6.5k life.

Also, google has learned my priorities. The email I got sent for your update to this task went to my priority inbox, when all other emails from this Phabricator install go to my updates inbox.

See PHI415.

I kind of wish I could see PHI415. Do people send in support tickets about path of exile?

I kind of wish I could see PHI415. Do people send in support tickets about path of exile?

Yes. Very real, legitimate tickets.

These people are good, I like them.

If you ever wanna like, try out random builds in std I'd be happy to play with you. I might play the leagues, but I'm not making it to 85 in any hc temp league, let alone ssf.

PS: the game is balanced around trading tbh

PPS: If I had a support pact I would totally send in support tickets asking how to become more ethical in path of exile, and I would spend 100% of my excess mana on this task alone.

the best part of being so unethical

dying to like level 80 rare mobs while using like 400 ex worth of gear.

im leaning towards ethical. someone traded me a 3 ex helmet for 40c worth of regrets. I looked up how much the helm was and demanded they trade me 40c for their helm back xD

I've barely had a chance to play recently but I know everyone is longing for an update so: I made it to level 88 (which I think is the highest level I've reached on any character), and completed all the white maps, and haven't died yet.

I am all out of chisels and scours and very low on alchs and chaos.

dying to like level 80 rare mobs while using like 400 ex worth of gear.

My characters have always died before that, I've never made it to red maps on any character.

epriestley added a comment.EditedMar 29 2018, 8:19 PM

Oh, and I found the beast to get a portal to Saqawal's Roost and killed Saqawal and got the boots, but the boots and set in general seem kinda bad so they're sitting in one of my six tabs full of unique items that I will never ever sell or do anything with.

im super ethical https://github.com/PoE-Profile/poe-profile/pull/20

Also, I started playing beastiary after ignoring it up until now. im like, level 5 partied with someone who's never ever played path of exile before

i feel unethical

I started playing SSF beastiary

my plan was to level using sunder and then just like, cyclone life

but then a silverbranch dropped in the coast. leveled to like 13 using it, just switched to a 40dps 2h axe, using cleave

my total currency so far is like, 4 chromes, 11 wisdom scrolls and like 5 portal scrolls.

@epriestley where's the countdown for the unnamed league 6/1 ? :p

epriestley closed this task as Resolved.Jun 1 2018, 8:15 PM

I never found the time to play any more Bestiary and Incursion just launched. 🐙